%define contentdir	/home/httpd/html/system/mrtg
%define scriptstag	RELEASE_1_2_5

Summary:	Multi Router Traffic Grapher
Name:		mrtg
Version:	2.9.17
Release:	1.3.0
Source0:	http://www.ee.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.gz
Source1:	mrtg.cfg-4
Source2:	README-14allcgi
Source3:	14all.cgi
Source10:	mrtg-scripts-%{scriptstag}.tar.gz
License:	GPL
Group:		Applications/Internet
Requires:	perl >= 5.004, gd
Requires:	gd
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildPrereq:	gd-devel, libjpeg-devel, libpng-devel

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing PNG
images which provide a LIVE visual representation of this traffic. 

%files
  %defattr(-,root,root)
  %doc contrib ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README THANKS
  %attr(700,root,root)	%dir %{_sysconfdir}/mrtg
  %config(noreplace) %{_sysconfdir}/mrtg/mrtg.cfg
  %{contentdir}
  %{_bindir}/*
  %{_libdir}/mrtg2
  %{_mandir}/*/*

################################################################################
%package scripts
Group:          Applications/Internet
Summary:	Critical scripts for use with MRTG
Requires:	mrtg

%description scripts
The mrtg-scripts package contains various perl scripts critical for MRTG
to work properly.  EnGarde does not ship with an SNMP daemon so we
implemented our own system of perl scripts to replace it.

%files scripts
  %defattr(-,root,root)
  %doc mrtg-scripts-%{scriptstag}/README
  %attr(700,root,root)	%dir %{_sysconfdir}/mrtg/scripts
  %attr(0500,root,root)	%{_sysconfdir}/mrtg/scripts/*

################################################################################
%prep
%setup -q -a 10

%build
  LIBS="-lgd -lpng -lz"; export LIBS
%configure
  make
  find contrib -type f -exec /usr/bin/perl -e 's,^#!/.*,#!%{__perl},gi' -p -i \{\} \;
  find contrib -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mrtg{,/scripts}
  mkdir -p $RPM_BUILD_ROOT%{contentdir}
  mkdir -p $RPM_BUILD_ROOT%{_bindir}
  mkdir -p $RPM_BUILD_ROOT%{_libdir}/mrtg2/Pod
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

  install -m 700 mrtg-scripts-%{scriptstag}/*.pl $RPM_BUILD_ROOT/%{_sysconfdir}/mrtg/scripts/
  install -m 644 images/*   $RPM_BUILD_ROOT%{contentdir}/
  install -m 644 doc/*.html $RPM_BUILD_ROOT%{contentdir}/
  install -m 600 %{SOURCE1} $RPM_BUILD_ROOT/etc/mrtg/mrtg.cfg
  install -m 644 %{SOURCE2} contrib/14all/README
  install -m 755 %{SOURCE3} contrib/14all

  for i in bin/mrtg bin/rateup bin/cfgmaker bin/indexmaker; do
    install -m 755 -c $i $RPM_BUILD_ROOT%{_bindir}/
  done

  for i in lib/mrtg2/*.pm; do
    install -m 644 $i $RPM_BUILD_ROOT%{_libdir}/mrtg2/
  done

  for i in lib/mrtg2/Pod/*.pm; do
    install -m 644 $i $RPM_BUILD_ROOT%{_libdir}/mrtg2/Pod/
  done

  for i in doc/*.1; do
    install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man1/
  done 

%post
  if ! grep '* * * * root %{_bindir}/mrtg' /etc/crontab > /dev/null; then
	echo "" >> /etc/crontab
	echo "0-59/5 * * * * root %{_bindir}/mrtg %{_sysconfdir}/mrtg/mrtg.cfg > /dev/null 2>&1" >> /etc/crontab
  fi

%postun
  if [ $1 = 0 ]; then
	grep -v '* * * * root %{_bindir}/mrtg' /etc/crontab > /etc/crontab.new &&\
	cat /etc/crontab.new > /etc/crontab &&
	rm /etc/crontab.new
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon May 06 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.17, Release 1.2.5
  - Latest round of script updates/cleanups.
  - Updated mrtg.cfg, should be prettier now.

* Fri May 03 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.17, Release 1.2.4
  - Handle the case where we may not have hardware sensors, return 0.

* Wed Feb 27 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.17, Release 1.2.3
  - Shut up the cron job.

* Sat Feb 23 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.17, Release 1.2.2
  - Major spec cleanup.
  - New -scripts subpackage with scripts to replace SNMP.
  - Updated mrtg.cfg to use these scripts.

* Mon Feb 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.17, Release 1.2.1
  - Removed ucd-snmp requirement.  We don't need it. :)

* Tue Jan 22 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.9.17, Release 1.2.0
  - Initial build for ESL.  Taken from Red Hat Rawhid, changelog
    sanitized, spec Ryan-ized.
  - Updated mrtg.cfg.
